__gnu_profile::__object_info_base(3cxx)

NAME
__gnu_profile::__object_info_base - Base class for a line in the object table.

SYNOPSIS

Inherited by __gnu_profile::__container_size_info, __gnu_profile::__hashfunc_info, __gnu_profile::__list2slist_info, __gnu_profile::__list2vector_info, __gnu_profile::__map2umap_info, and __gnu_profile::__vector2list_info.

  Public Member Functions

__object_info_base (__stack_t __stack)
bool __is_valid () const
void __merge (const __object_info_base &__o)
void __set_invalid ()
__stack_t __stack () const

  Protected Attributes

__stack_t _M_stack
bool _M_valid

Detailed Description

Base class for a line in the object table.

Definition at line 127 of file profiler_node.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.